blob: 716dfbe9ae7d848d99b8a727686f3da42e76781a [file] [log] [blame]
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=6
QT5_MODULE="qttools"
inherit qt5-build
DESCRIPTION="WYSIWYG tool for designing and building Qt-based GUIs"
if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
fi
IUSE="declarative webkit"
DEPEND="
~dev-qt/qtcore-${PV}
~dev-qt/qtgui-${PV}
~dev-qt/qtnetwork-${PV}
~dev-qt/qtprintsupport-${PV}
~dev-qt/qtwidgets-${PV}
~dev-qt/qtxml-${PV}
declarative? ( ~dev-qt/qtdeclarative-${PV}[widgets] )
webkit? ( ~dev-qt/qtwebkit-${PV} )
"
RDEPEND="${DEPEND}"
QT5_TARGET_SUBDIRS=(
src/designer
)
src_prepare() {
qt_use_disable_mod declarative quickwidgets \
src/designer/src/plugins/plugins.pro
qt_use_disable_mod webkit webkitwidgets \
src/designer/src/plugins/plugins.pro
qt5-build_src_prepare
}